<?php
$tdata_details=array();
	$tdata_details[".NumberOfChars"]=80; 
	$tdata_details[".ShortName"]="_details";
	$tdata_details[".OwnerID"]="Employee Name";
	$tdata_details[".OriginalTable"]="visit_register";


	
//	field labels
$fieldLabels_details = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabels_details["English"]=array();
	$fieldToolTips_details["English"]=array();
	$fieldLabels_details["English"]["idvisit_register"] = "Idvisit Register";
	$fieldToolTips_details["English"]["idvisit_register"] = "";
	$fieldLabels_details["English"]["Employee_Name"] = "Employee Name";
	$fieldToolTips_details["English"]["Employee Name"] = "";
	$fieldLabels_details["English"]["Customer_Name"] = "Customer Name";
	$fieldToolTips_details["English"]["Customer Name"] = "";
	$fieldLabels_details["English"]["Contact_Person"] = "Contact Person";
	$fieldToolTips_details["English"]["Contact Person"] = "";
	$fieldLabels_details["English"]["Purpose_Of_Visit"] = "Purpose Of Visit";
	$fieldToolTips_details["English"]["Purpose Of Visit"] = "";
	$fieldLabels_details["English"]["MOM_Summary"] = "MOM Summary";
	$fieldToolTips_details["English"]["MOM Summary"] = "";
	$fieldLabels_details["English"]["Date"] = "Date";
	$fieldToolTips_details["English"]["Date"] = "";
	if (count($fieldToolTips_details["English"])){
		$tdata_details[".isUseToolTips"]=true;
	}
}


	
	$tdata_details[".NCSearch"]=true;

	

$tdata_details[".shortTableName"] = "_details";
$tdata_details[".nSecOptions"] = 1;
$tdata_details[".recsPerRowList"] = 1;	
$tdata_details[".tableGroupBy"] = "1";
$tdata_details[".mainTableOwnerID"] = "Employee Name";
$tdata_details[".moveNext"] = 1;




$tdata_details[".showAddInPopup"] = false;

$tdata_details[".showEditInPopup"] = false;

$tdata_details[".showViewInPopup"] = false;


$tdata_details[".fieldsForRegister"] = array();

$tdata_details[".listAjax"] = false;

	$tdata_details[".audit"] = false;

	$tdata_details[".locking"] = false;
	
$tdata_details[".listIcons"] = true;




$tdata_details[".showSimpleSearchOptions"] = false;

$tdata_details[".showSearchPanel"] = true;


$tdata_details[".isUseAjaxSuggest"] = true;

$tdata_details[".rowHighlite"] = true;


// button handlers file names

$tdata_details[".addPageEvents"] = false;

$tdata_details[".arrKeyFields"][] = "idvisit_register";

// use datepicker for search panel
$tdata_details[".isUseCalendarForSearch"] = true;

// use timepicker for search panel
$tdata_details[".isUseTimeForSearch"] = false;

$tdata_details[".isUseiBox"] = false;




$tdata_details[".isUseInlineJs"] = $tdata_details[".isUseInlineAdd"] || $tdata_details[".isUseInlineEdit"];

$tdata_details[".allSearchFields"] = array();

$tdata_details[".globSearchFields"][] = "idvisit_register";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("idvisit_register", $tdata_details[".allSearchFields"]))
{
	$tdata_details[".allSearchFields"][] = "idvisit_register";	
}
$tdata_details[".globSearchFields"][] = "Employee Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Employee Name", $tdata_details[".allSearchFields"]))
{
	$tdata_details[".allSearchFields"][] = "Employee Name";	
}
$tdata_details[".globSearchFields"][] = "Customer Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Name", $tdata_details[".allSearchFields"]))
{
	$tdata_details[".allSearchFields"][] = "Customer Name";	
}
$tdata_details[".globSearchFields"][] = "Contact Person";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Contact Person", $tdata_details[".allSearchFields"]))
{
	$tdata_details[".allSearchFields"][] = "Contact Person";	
}
$tdata_details[".globSearchFields"][] = "Purpose Of Visit";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Purpose Of Visit", $tdata_details[".allSearchFields"]))
{
	$tdata_details[".allSearchFields"][] = "Purpose Of Visit";	
}
$tdata_details[".globSearchFields"][] = "MOM Summary";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("MOM Summary", $tdata_details[".allSearchFields"]))
{
	$tdata_details[".allSearchFields"][] = "MOM Summary";	
}
$tdata_details[".globSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdata_details[".allSearchFields"]))
{
	$tdata_details[".allSearchFields"][] = "Date";	
}


$tdata_details[".googleLikeFields"][] = "idvisit_register";
$tdata_details[".googleLikeFields"][] = "Employee Name";
$tdata_details[".googleLikeFields"][] = "Customer Name";
$tdata_details[".googleLikeFields"][] = "Contact Person";
$tdata_details[".googleLikeFields"][] = "Purpose Of Visit";
$tdata_details[".googleLikeFields"][] = "MOM Summary";
$tdata_details[".googleLikeFields"][] = "Date";



$tdata_details[".advSearchFields"][] = "idvisit_register";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("idvisit_register", $tdata_details[".allSearchFields"])) 
{
	$tdata_details[".allSearchFields"][] = "idvisit_register";	
}
$tdata_details[".advSearchFields"][] = "Employee Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Employee Name", $tdata_details[".allSearchFields"])) 
{
	$tdata_details[".allSearchFields"][] = "Employee Name";	
}
$tdata_details[".advSearchFields"][] = "Customer Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Name", $tdata_details[".allSearchFields"])) 
{
	$tdata_details[".allSearchFields"][] = "Customer Name";	
}
$tdata_details[".advSearchFields"][] = "Contact Person";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Contact Person", $tdata_details[".allSearchFields"])) 
{
	$tdata_details[".allSearchFields"][] = "Contact Person";	
}
$tdata_details[".advSearchFields"][] = "Purpose Of Visit";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Purpose Of Visit", $tdata_details[".allSearchFields"])) 
{
	$tdata_details[".allSearchFields"][] = "Purpose Of Visit";	
}
$tdata_details[".advSearchFields"][] = "MOM Summary";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("MOM Summary", $tdata_details[".allSearchFields"])) 
{
	$tdata_details[".allSearchFields"][] = "MOM Summary";	
}
$tdata_details[".advSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdata_details[".allSearchFields"])) 
{
	$tdata_details[".allSearchFields"][] = "Date";	
}

$tdata_details[".isTableType"] = "list";


	

$tdata_details[".isDisplayLoading"] = true;

$tdata_details[".isResizeColumns"] = false;




$tdata_details[".totalsFields"][] = array("fName"=>"idvisit_register", "totalsType"=>"COUNT", "viewFormat"=>"");

$tdata_details[".pageSize"] = 20;

$gstrOrderBy = "ORDER BY Date(visit_register.`Date Of Visit`) DESC";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdata_details[".strOrderBy"] = $gstrOrderBy;
	
$tdata_details[".orderindexes"] = array();
$tdata_details[".orderindexes"][] = array(7, (0 ? "ASC" : "DESC"), "Date(visit_register.`Date Of Visit`)");

$tdata_details[".sqlHead"] = "SELECT idvisit_register,  `Employee Name`,  `Customer Name`,  `Contact Person`,  `Purpose Of Visit`,  `MOM Summary`,  Date(visit_register.`Date Of Visit`) AS `Date`";
$tdata_details[".sqlFrom"] = "FROM visit_register";
$tdata_details[".sqlWhereExpr"] = "";
$tdata_details[".sqlTail"] = "GROUP BY idvisit_register, `Employee Name`, `Customer Name`, `Contact Person`, `Purpose Of Visit`, `MOM Summary`, Date(visit_register.`Date Of Visit`)";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdata_details[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdata_details[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tableKeys[] = "idvisit_register";
	$tdata_details[".Keys"] = $tableKeys;

//	idvisit_register
	$fdata = array();
	$fdata["strName"] = "idvisit_register";
	$fdata["ownerTable"] = "visit_register";
		$fdata["Label"]="Idvisit Register"; 
	
		
		
	$fdata["FieldType"]= 3;
	
		$fdata["AutoInc"]=true;
	
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "idvisit_register";
	
		$fdata["FullName"]= "idvisit_register";
	
		$fdata["IsRequired"]=true; 
	
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"]=true; 
	
		
		
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$fdata["validateAs"]["basicValidate"][] = "IsRequired";
	
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdata_details["idvisit_register"]=$fdata;
//	Employee Name
	$fdata = array();
	$fdata["strName"] = "Employee Name";
	$fdata["ownerTable"] = "visit_register";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Employee_Name";
	
		$fdata["FullName"]= "`Employee Name`";
	
		
		
		
		
		
				$fdata["Index"]= 2;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"]=true; 
	
		
		
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdata_details["Employee Name"]=$fdata;
//	Customer Name
	$fdata = array();
	$fdata["strName"] = "Customer Name";
	$fdata["ownerTable"] = "visit_register";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Name";
	
		$fdata["FullName"]= "`Customer Name`";
	
		
		
		
		
		
				$fdata["Index"]= 3;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=100";
		
		$fdata["bListPage"]=true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"]=true; 
	
		
		
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdata_details["Customer Name"]=$fdata;
//	Contact Person
	$fdata = array();
	$fdata["strName"] = "Contact Person";
	$fdata["ownerTable"] = "visit_register";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Contact_Person";
	
		$fdata["FullName"]= "`Contact Person`";
	
		
		
		
		
		
				$fdata["Index"]= 4;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"]=true; 
	
		
		
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdata_details["Contact Person"]=$fdata;
//	Purpose Of Visit
	$fdata = array();
	$fdata["strName"] = "Purpose Of Visit";
	$fdata["ownerTable"] = "visit_register";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Purpose_Of_Visit";
	
		$fdata["FullName"]= "`Purpose Of Visit`";
	
		
		
		
		
		
				$fdata["Index"]= 5;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"]=true; 
	
		
		
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdata_details["Purpose Of Visit"]=$fdata;
//	MOM Summary
	$fdata = array();
	$fdata["strName"] = "MOM Summary";
	$fdata["ownerTable"] = "visit_register";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "MOM_Summary";
	
		$fdata["FullName"]= "`MOM Summary`";
	
		
		
		
		
		
				$fdata["Index"]= 6;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=250";
		
		$fdata["bListPage"]=true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"]=true; 
	
		
		
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdata_details["MOM Summary"]=$fdata;
//	Date
	$fdata = array();
	$fdata["strName"] = "Date";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 7;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Date";
	$fdata["ViewFormat"]= "Short Date";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Date";
	
		$fdata["FullName"]= "Date(visit_register.`Date Of Visit`)";
	
		
		
		
		
		
				$fdata["Index"]= 7;
		$fdata["DateEditType"] = 13; 
	$fdata["InitialYearFactor"] = 100; 
	$fdata["LastYearFactor"] = 10; 
			
		$fdata["bListPage"]=true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"]=true; 
	
		
		
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdata_details["Date"]=$fdata;

	
$tables_data["_details"]=&$tdata_details;
$field_labels["_details"] = &$fieldLabels_details;
$fieldToolTips["_details"] = &$fieldToolTips_details;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["_details"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["_details"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto191=array();
$proto191["m_strHead"] = "SELECT";
$proto191["m_strFieldList"] = "idvisit_register,  `Employee Name`,  `Customer Name`,  `Contact Person`,  `Purpose Of Visit`,  `MOM Summary`,  Date(visit_register.`Date Of Visit`) AS `Date`";
$proto191["m_strFrom"] = "FROM visit_register";
$proto191["m_strWhere"] = "";
$proto191["m_strOrderBy"] = "ORDER BY Date(visit_register.`Date Of Visit`) DESC";
$proto191["m_strTail"] = "GROUP BY idvisit_register, `Employee Name`, `Customer Name`, `Contact Person`, `Purpose Of Visit`, `MOM Summary`, Date(visit_register.`Date Of Visit`)";
$proto192=array();
$proto192["m_sql"] = "";
$proto192["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto192["m_column"]=$obj;
$proto192["m_contained"] = array();
$proto192["m_strCase"] = "";
$proto192["m_havingmode"] = "0";
$proto192["m_inBrackets"] = "0";
$proto192["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto192);

$proto191["m_where"] = $obj;
$proto194=array();
$proto194["m_sql"] = "";
$proto194["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto194["m_column"]=$obj;
$proto194["m_contained"] = array();
$proto194["m_strCase"] = "";
$proto194["m_havingmode"] = "0";
$proto194["m_inBrackets"] = "0";
$proto194["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto194);

$proto191["m_having"] = $obj;
$proto191["m_fieldlist"] = array();
						$proto196=array();
			$obj = new SQLField(array(
	"m_strName" => "idvisit_register",
	"m_strTable" => "visit_register"
));

$proto196["m_expr"]=$obj;
$proto196["m_alias"] = "";
$obj = new SQLFieldListItem($proto196);

$proto191["m_fieldlist"][]=$obj;
						$proto198=array();
			$obj = new SQLField(array(
	"m_strName" => "Employee Name",
	"m_strTable" => "visit_register"
));

$proto198["m_expr"]=$obj;
$proto198["m_alias"] = "";
$obj = new SQLFieldListItem($proto198);

$proto191["m_fieldlist"][]=$obj;
						$proto200=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "visit_register"
));

$proto200["m_expr"]=$obj;
$proto200["m_alias"] = "";
$obj = new SQLFieldListItem($proto200);

$proto191["m_fieldlist"][]=$obj;
						$proto202=array();
			$obj = new SQLField(array(
	"m_strName" => "Contact Person",
	"m_strTable" => "visit_register"
));

$proto202["m_expr"]=$obj;
$proto202["m_alias"] = "";
$obj = new SQLFieldListItem($proto202);

$proto191["m_fieldlist"][]=$obj;
						$proto204=array();
			$obj = new SQLField(array(
	"m_strName" => "Purpose Of Visit",
	"m_strTable" => "visit_register"
));

$proto204["m_expr"]=$obj;
$proto204["m_alias"] = "";
$obj = new SQLFieldListItem($proto204);

$proto191["m_fieldlist"][]=$obj;
						$proto206=array();
			$obj = new SQLField(array(
	"m_strName" => "MOM Summary",
	"m_strTable" => "visit_register"
));

$proto206["m_expr"]=$obj;
$proto206["m_alias"] = "";
$obj = new SQLFieldListItem($proto206);

$proto191["m_fieldlist"][]=$obj;
						$proto208=array();
			$proto209=array();
$proto209["m_functiontype"] = "SQLF_CUSTOM";
$proto209["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "visit_register.`Date Of Visit`"
));

$proto209["m_arguments"][]=$obj;
$proto209["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto209);

$proto208["m_expr"]=$obj;
$proto208["m_alias"] = "Date";
$obj = new SQLFieldListItem($proto208);

$proto191["m_fieldlist"][]=$obj;
$proto191["m_fromlist"] = array();
												$proto211=array();
$proto211["m_link"] = "SQLL_MAIN";
			$proto212=array();
$proto212["m_strName"] = "visit_register";
$proto212["m_columns"] = array();
$proto212["m_columns"][] = "idvisit_register";
$proto212["m_columns"][] = "Lead_ID";
$proto212["m_columns"][] = "Recorded Date";
$proto212["m_columns"][] = "Employee Name";
$proto212["m_columns"][] = "Customer Name";
$proto212["m_columns"][] = "Contact Person";
$proto212["m_columns"][] = "Purpose Of Visit";
$proto212["m_columns"][] = "MOM Summary";
$proto212["m_columns"][] = "Voucher Status";
$proto212["m_columns"][] = "Date Of Visit";
$proto212["m_columns"][] = "Mode Of Travel";
$proto212["m_columns"][] = "Travel Expense";
$proto212["m_columns"][] = "Expense Remarks";
$proto212["m_columns"][] = "Visit Status";
$proto212["m_columns"][] = "Reporting Manager";
$proto212["m_columns"][] = "Approved Expense";
$proto212["m_columns"][] = "Approved Date";
$proto212["m_columns"][] = "Voucher Processed Date";
$proto212["m_columns"][] = "Expense Claim Date";
$obj = new SQLTable($proto212);

$proto211["m_table"] = $obj;
$proto211["m_alias"] = "";
$proto213=array();
$proto213["m_sql"] = "";
$proto213["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto213["m_column"]=$obj;
$proto213["m_contained"] = array();
$proto213["m_strCase"] = "";
$proto213["m_havingmode"] = "0";
$proto213["m_inBrackets"] = "0";
$proto213["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto213);

$proto211["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto211);

$proto191["m_fromlist"][]=$obj;
$proto191["m_groupby"] = array();
												$proto215=array();
						$obj = new SQLField(array(
	"m_strName" => "idvisit_register",
	"m_strTable" => "visit_register"
));

$proto215["m_column"]=$obj;
$obj = new SQLGroupByItem($proto215);

$proto191["m_groupby"][]=$obj;
												$proto217=array();
						$obj = new SQLField(array(
	"m_strName" => "Employee Name",
	"m_strTable" => "visit_register"
));

$proto217["m_column"]=$obj;
$obj = new SQLGroupByItem($proto217);

$proto191["m_groupby"][]=$obj;
												$proto219=array();
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "visit_register"
));

$proto219["m_column"]=$obj;
$obj = new SQLGroupByItem($proto219);

$proto191["m_groupby"][]=$obj;
												$proto221=array();
						$obj = new SQLField(array(
	"m_strName" => "Contact Person",
	"m_strTable" => "visit_register"
));

$proto221["m_column"]=$obj;
$obj = new SQLGroupByItem($proto221);

$proto191["m_groupby"][]=$obj;
												$proto223=array();
						$obj = new SQLField(array(
	"m_strName" => "Purpose Of Visit",
	"m_strTable" => "visit_register"
));

$proto223["m_column"]=$obj;
$obj = new SQLGroupByItem($proto223);

$proto191["m_groupby"][]=$obj;
												$proto225=array();
						$obj = new SQLField(array(
	"m_strName" => "MOM Summary",
	"m_strTable" => "visit_register"
));

$proto225["m_column"]=$obj;
$obj = new SQLGroupByItem($proto225);

$proto191["m_groupby"][]=$obj;
												$proto227=array();
						$proto228=array();
$proto228["m_functiontype"] = "SQLF_CUSTOM";
$proto228["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "visit_register.`Date Of Visit`"
));

$proto228["m_arguments"][]=$obj;
$proto228["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto228);

$proto227["m_column"]=$obj;
$obj = new SQLGroupByItem($proto227);

$proto191["m_groupby"][]=$obj;
$proto191["m_orderby"] = array();
												$proto230=array();
						$proto231=array();
$proto231["m_functiontype"] = "SQLF_CUSTOM";
$proto231["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "visit_register.`Date Of Visit`"
));

$proto231["m_arguments"][]=$obj;
$proto231["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto231);

$proto230["m_column"]=$obj;
$proto230["m_bAsc"] = 0;
$proto230["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto230);

$proto191["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto191);

$queryData__details = $obj;
$tdata_details[".sqlquery"] = $queryData__details;

$tableEvents["_details"] = new eventsBase;

?>
